package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("操作日志Vo")
public class SystemLogOperateVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("操作人ID")
   private Integer adminId;
   @ApiModelProperty("用户账号")
   private String username;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("请求类型: GET/POST/PUT")
   private String type;
   @ApiModelProperty("操作标题")
   private String title;
   @ApiModelProperty("请求方式")
   private String method;
   @ApiModelProperty("请求IP")
   private String ip;
   @ApiModelProperty("请求地址")
   private String url;
   @ApiModelProperty("请求参数")
   private String args;
   @ApiModelProperty("返回结果")
   private String result;
   @ApiModelProperty("错误信息")
   private String error;
   @ApiModelProperty("执行状态: [1=成功, 2=失败]")
   private Integer status;
   @ApiModelProperty("执行耗时")
   private String taskTime;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;
   @ApiModelProperty("创建时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getAdminId() {
      return this.adminId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getNickname() {
      return this.nickname;
   }

   public String getType() {
      return this.type;
   }

   public String getTitle() {
      return this.title;
   }

   public String getMethod() {
      return this.method;
   }

   public String getIp() {
      return this.ip;
   }

   public String getUrl() {
      return this.url;
   }

   public String getArgs() {
      return this.args;
   }

   public String getResult() {
      return this.result;
   }

   public String getError() {
      return this.error;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getTaskTime() {
      return this.taskTime;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setAdminId(Integer adminId) {
      this.adminId = adminId;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setMethod(String method) {
      this.method = method;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setArgs(String args) {
      this.args = args;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public void setError(String error) {
      this.error = error;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setTaskTime(String taskTime) {
      this.taskTime = taskTime;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemLogOperateVo)) {
         return false;
      } else {
         SystemLogOperateVo other = (SystemLogOperateVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label215: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label215;
                  }
               } else if (this$id.equals(other$id)) {
                  break label215;
               }

               return false;
            }

            Object this$adminId = this.getAdminId();
            Object other$adminId = other.getAdminId();
            if (this$adminId == null) {
               if (other$adminId != null) {
                  return false;
               }
            } else if (!this$adminId.equals(other$adminId)) {
               return false;
            }

            label201: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label201;
                  }
               } else if (this$status.equals(other$status)) {
                  break label201;
               }

               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            label187: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label187;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label187;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            label173: {
               Object this$title = this.getTitle();
               Object other$title = other.getTitle();
               if (this$title == null) {
                  if (other$title == null) {
                     break label173;
                  }
               } else if (this$title.equals(other$title)) {
                  break label173;
               }

               return false;
            }

            label166: {
               Object this$method = this.getMethod();
               Object other$method = other.getMethod();
               if (this$method == null) {
                  if (other$method == null) {
                     break label166;
                  }
               } else if (this$method.equals(other$method)) {
                  break label166;
               }

               return false;
            }

            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            label152: {
               Object this$url = this.getUrl();
               Object other$url = other.getUrl();
               if (this$url == null) {
                  if (other$url == null) {
                     break label152;
                  }
               } else if (this$url.equals(other$url)) {
                  break label152;
               }

               return false;
            }

            label145: {
               Object this$args = this.getArgs();
               Object other$args = other.getArgs();
               if (this$args == null) {
                  if (other$args == null) {
                     break label145;
                  }
               } else if (this$args.equals(other$args)) {
                  break label145;
               }

               return false;
            }

            Object this$result = this.getResult();
            Object other$result = other.getResult();
            if (this$result == null) {
               if (other$result != null) {
                  return false;
               }
            } else if (!this$result.equals(other$result)) {
               return false;
            }

            Object this$error = this.getError();
            Object other$error = other.getError();
            if (this$error == null) {
               if (other$error != null) {
                  return false;
               }
            } else if (!this$error.equals(other$error)) {
               return false;
            }

            label124: {
               Object this$taskTime = this.getTaskTime();
               Object other$taskTime = other.getTaskTime();
               if (this$taskTime == null) {
                  if (other$taskTime == null) {
                     break label124;
                  }
               } else if (this$taskTime.equals(other$taskTime)) {
                  break label124;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemLogOperateVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $method = this.getMethod();
      result = result * 59 + ($method == null ? 43 : $method.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      Object $args = this.getArgs();
      result = result * 59 + ($args == null ? 43 : $args.hashCode());
      Object $result = this.getResult();
      result = result * 59 + ($result == null ? 43 : $result.hashCode());
      Object $error = this.getError();
      result = result * 59 + ($error == null ? 43 : $error.hashCode());
      Object $taskTime = this.getTaskTime();
      result = result * 59 + ($taskTime == null ? 43 : $taskTime.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemLogOperateVo(id=" + this.getId() + ", adminId=" + this.getAdminId() + ", username=" + this.getUsername() + ", nickname=" + this.getNickname() + ", type=" + this.getType() + ", title=" + this.getTitle() + ", method=" + this.getMethod() + ", ip=" + this.getIp() + ", url=" + this.getUrl() + ", args=" + this.getArgs() + ", result=" + this.getResult() + ", error=" + this.getError() + ", status=" + this.getStatus() + ", taskTime=" + this.getTaskTime() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ", createTime=" + this.getCreateTime() + ")";
   }
}
